Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model.analysisMetaModel.util
Class AnalysisMetaModelSwitch<T>

    java.lang.Object
      org.eclipse.emf.ecore.util.Switch<T>
          kieker.analysis.model.analysisMetaModel.util.AnalysisMetaModelSwitch<T>

    public class AnalysisMetaModelSwitch<T>

extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `MIAnalysisMetaModelPackage`
Generated:

Constructor Summary
`AnalysisMetaModelSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseAnalysisComponent(MIAnalysisComponent object)` Returns the result of interpreting the object as an instance of 'Analysis Component'.
`T` | `caseDependency(MIDependency object)` Returns the result of interpreting the object as an instance of 'Dependency'.
`T` | `caseDisplay(MIDisplay object)` Returns the result of interpreting the object as an instance of 'Display'.
`T` | `caseDisplayConnector(MIDisplayConnector object)` Returns the result of interpreting the object as an instance of 'Display Connector'.
`T` | `caseFilter(MIFilter object)` Returns the result of interpreting the object as an instance of 'Filter'.
`T` | `caseInputPort(MIInputPort object)` Returns the result of interpreting the object as an instance of 'Input Port'.
`T` | `caseOutputPort(MIOutputPort object)` Returns the result of interpreting the object as an instance of 'Output Port'.
`T` | `casePlugin(MIPlugin object)` Returns the result of interpreting the object as an instance of 'Plugin'.
`T` | `casePort(MIPort object)` Returns the result of interpreting the object as an instance of 'Port'.
`T` | `caseProject(MIProject object)` Returns the result of interpreting the object as an instance of 'Project'.
`T` | `caseProperty(MIProperty object)` Returns the result of interpreting the object as an instance of 'Property'.
`T` | `caseReader(MIReader object)` Returns the result of interpreting the object as an instance of 'Reader'.
`T` | `caseRepository(MIRepository object)` Returns the result of interpreting the object as an instance of 'Repository'.
`T` | `caseRepositoryConnector(MIRepositoryConnector object)` Returns the result of interpreting the object as an instance of 'Repository Connector'.
`T` | `caseView(MIView object)` Returns the result of interpreting the object as an instance of 'View'.
`T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

Methods inherited from class org.eclipse.emf.ecore.util.Switch
`doSwitch`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnalysisMetaModelSwitch

    public AnalysisMetaModelSwitch()

  Creates an instance of the switch.

  Generated:

Method Detail

### caseProject

    public T caseProject(MIProject object)

  Returns the result of interpreting the object as an instance of 'Project'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Project'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### casePlugin

    public T casePlugin(MIPlugin object)

  Returns the result of interpreting the object as an instance of 'Plugin'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Plugin'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### casePort

    public T casePort(MIPort object)

  Returns the result of interpreting the object as an instance of 'Port'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Port'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseInputPort

    public T caseInputPort(MIInputPort object)

  Returns the result of interpreting the object as an instance of 'Input Port'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Input Port'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseOutputPort

    public T caseOutputPort(MIOutputPort object)

  Returns the result of interpreting the object as an instance of 'Output Port'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Output Port'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseProperty

    public T caseProperty(MIProperty object)

  Returns the result of interpreting the object as an instance of 'Property'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseFilter

    public T caseFilter(MIFilter object)

  Returns the result of interpreting the object as an instance of 'Filter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Filter'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseReader

    public T caseReader(MIReader object)

  Returns the result of interpreting the object as an instance of 'Reader'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Reader'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseRepository

    public T caseRepository(MIRepository object)

  Returns the result of interpreting the object as an instance of 'Repository'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Repository'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseDependency

    public T caseDependency(MIDependency object)

  Returns the result of interpreting the object as an instance of 'Dependency'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dependency'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseRepositoryConnector

    public T caseRepositoryConnector(MIRepositoryConnector object)

  Returns the result of interpreting the object as an instance of 'Repository Connector'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Repository Connector'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseDisplay

    public T caseDisplay(MIDisplay object)

  Returns the result of interpreting the object as an instance of 'Display'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Display'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseView

    public T caseView(MIView object)

  Returns the result of interpreting the object as an instance of 'View'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'View'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseDisplayConnector

    public T caseDisplayConnector(MIDisplayConnector object)

  Returns the result of interpreting the object as an instance of 'Display Connector'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Display Connector'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseAnalysisComponent

    public T caseAnalysisComponent(MIAnalysisComponent object)

  Returns the result of interpreting the object as an instance of 'Analysis Component'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Analysis Component'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Overrides:
    `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
  Generated:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net